Opened 3 years ago

Last modified 3 years ago

#31 assigned defect

The new version of the libglapi-mesa crashes the simulator

Reported by: erdeljmi Owned by: Bayard Gildas
Priority: major Milestone:
Component: simulator Version:
Keywords: mesa Cc:

Description

After automatic update of the mesa on Ubuntu 16.04 (Linux 4.4.0-66-generic), the simulator crashes giving:
./Fly2UAV_simulator_nrt: symbol lookup error: /usr/lib/x86_64-linux-gnu/mesa/libGL.so.1: undefined symbol: drmGetDevice

I have tried preloading the libraries as explained in configuration tutorial here on the website, then the simulator freezes without showing the content of the window.

Here is the Mesa version that causes problems:
milan@revolve:~$ glxinfo | grep "OpenGL version"
OpenGL version string: 3.0 Mesa 17.0.7

I have tried downgrading the version to previous version (11.2.0) but it creates broken dependencies.

Could you please check it out and try to launch the simulator with an updated system?

Change History (1)

comment:1 Changed 3 years ago by Sanahuja Guillaume

Owner: changed from Sanahuja Guillaume to Bayard Gildas
Status: newassigned

Gildas, cest pas le même problème que sur ton portable?

Note: See TracTickets for help on using tickets.